<!DOCTYPE html>
<title>Tambah Data Hari Istimewa</title>
<div>
  <form action="/izin" method="POST">
    <table>
      <tr>
        <td>Tanggal</td>
        <td>:</td>
        <td>
          <input type="date" name="tanggal">
        </td>
      </tr>
      <tr>
        <td>Keterangan</td>
        <td>:</td>
        <td>
          <select name="keterangan" id="keterangan">
            <option value="sakit">Sakit</option>
            <option value="izin">Izin</option>
          </select>
        </td>
      </tr>
      <tr>
        <td>Absensi</td>
        <td>:</td>
        <td>
          <select name="absensi" id="absensi"></select>
        </td>
      </tr>
      <tr>
        <td>Pegawai</td>
        <td>:</td>
        <td>
          <select name="pegawai" id="pegawai"></select>
        </td>
      </tr>
    </table>
    <div>
      <button type="submit">Submit</button>
    </div>
  </form>
</div>
<script>
  fetch('/pegawai')
    .then(response => {
      return response.json();
    })
    .then(value => {
      const selectPegawai = document.querySelector('#pegawai');

      value.forEach(pegawai => {
        const {id, nip, nama} = pegawai;
        const {length} = selectPegawai.options;
        selectPegawai.options[length] = new Option(`(${nip}) ${nama}`, id);
      });
    })
  
  fetch('/absensi')
    .then(response => {
      return response.json();
    })
    .then(value => {
      const selectAbsensi = document.querySelector('#absensi');

      value.forEach(absensi => {
        const {id, jenis, cabang, keterangan} = absensi;
        const {length} = selectAbsensi.options;

        selectAbsensi.options[length] = new Option(`${jenis} | ${cabang} (${keterangan})`, id);
      });
    })
</script>